/*
Sprite object definitions for Marilyn... Used by the game's source code and MLEd.
(?) 2014 Meido-Tek Productions
*/

#define OBJ_PLAYER_START	0	/* Sets the player's start point */
					/* If tag is non-zero, the player will spawn facing to the left */

#define OBJ_COIN		1	/* Normal coin */
					/* If tag is non-zero, it'll be a falling coin */

#define OBJ_FIREBOW		2	/* A fire bow powerup */
					/* Tag value does nothing */

#define OBJ_ICEBOW		3	/* A ice bow powerup (not yet implemented) */
					/* Tag value does nothing */

#define OBJ_DARKBOW		4	/* A dark bow powerup (not yet implemented) */
					/* Tag value does nothing */

#define OBJ_NATALIE		5	/* A useless test enemy named Natalie */
					/* Tag value does nothing */

#define OBJ_MONOHEAD		6	/* A Monohead */
					/* Tag= 0: Ground, 1: Hopping, 2: Flying */

#define OBJ_GOALFLAG		7	/* A goal flag or level exit */
					/* Tag= 0: Normal exit, 1: Secret exit */